import requests
url = "https://api.datagrid.com/v1/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/skills \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "skill",
"id": "<string>",
"scope": "user",
"category": "document_analysis",
"slash_key": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"required_tools": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"enabled": true,
"account_id": "<string>",
"builtin_key": "<string>",
"promoted_at": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}List skills
List skills invocable in the authenticated teamspace. Returns built-ins, Public custom skills that are unrestricted or assigned here, and the API-key subject’s own Private skills assigned here. Other users’ Private skills and unassigned Private skills are excluded. Built-in skills your company removed are excluded, and a built-in your company disabled is returned with enabled: false.
import requests
url = "https://api.datagrid.com/v1/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/skills \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "skill",
"id": "<string>",
"scope": "user",
"category": "document_analysis",
"slash_key": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"required_tools": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"enabled": true,
"account_id": "<string>",
"builtin_key": "<string>",
"promoted_at": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional search string to filter skills by name or slash key. Case-insensitive partial match.
255Filter by enabled status.
Return only skills of this scope. user returns the API-key subject's own Private skills assigned to the authenticated teamspace; account returns Public custom skills invocable here; teamspace is a deprecated legacy Public value that remains assignment-required until normalized by a privacy or assignment action; and builtin is the global catalogue. Omit to return everything the caller can invoke.
user, account, teamspace, builtin The limit on the number of objects to return, ranging between 1 and 100.
1 <= x <= 100A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.
A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.